package com.zipcodewilmington.bankaccountlab;

import java.util.Scanner;

public class Console {
    static Scanner sc = new Scanner(System.in);

    public static String scanString() {
        String userInput = sc.nextLine();
        return userInput;
    }

    public static String stringPrompt(String instructions) {
        print(instructions);
        String userInput = scanString();
        return userInput;
    }


    public static Double scanDouble() {
        Double dub = Double.parseDouble(sc.nextLine());
        return dub;
    }

    public static Double doublePrompt(String instructions) {
        print(instructions);
        boolean error = true;
        double userInput = 0;
        do {
            try {
                userInput = scanDouble();
                error = false;
            } catch (NumberFormatException e) {
                print("Please enter a valid number.");
            }
        } while (error);
        return userInput;
    }

    public static void print(String message) {
        System.out.println(message);
    }
}
